Index: code/branches/cegui0.8_ogre1.9/data/gui/configs/CEGUIConfig.xsd
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/configs/CEGUIConfig.xsd	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/configs/CEGUIConfig.xsd	(revision 11795)
@@ -1,8 +1,88 @@
 <?xml version="1.0"?>
 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
-
     <xsd:element name="CEGUIConfig" type="CEGUIConfigType"/>
 
-    <xsd:simpleType name="LogLevel">
+    <xsd:complexType name="CEGUIConfigType">
+        <xsd:sequence>
+            <xsd:choice minOccurs="0" maxOccurs="unbounded">
+                <xsd:element name="Logging" type="loggingType" />
+                <xsd:element name="AutoLoad" type="autoLoadType" />
+                <xsd:element name="ResourceDirectory" type="resourceDirectoryType" />
+                <xsd:element name="DefaultResourceGroup" type="defaultResourceGroupType" />
+                <xsd:element name="Scripting" type="scriptingType" />
+                <xsd:element name="DefaultXMLParser" type="defaultObjectType" />
+                <xsd:element name="DefaultImageCodec" type="defaultObjectType" />
+                <xsd:element name="DefaultFont" type="defaultObjectType" />
+                <xsd:element name="DefaultMouseCursor" type="defaultMouseCursorType" />
+                <xsd:element name="DefaultTooltip" type="defaultObjectType" />
+                <xsd:element name="DefaultGUISheet" type="defaultObjectType" />
+            </xsd:choice>
+        </xsd:sequence>
+    </xsd:complexType>
+
+    <xsd:complexType name="loggingType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="filename" type="xsd:string" use="optional" default="CEGUI.log" />
+                <xsd:attribute name="level" type="logLevel" use="optional" default="Standard" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="autoLoadType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="type" type="resourceType" use="required" />
+                <xsd:attribute name="group" type="xsd:string" use="optional" default="" />
+                <xsd:attribute name="pattern" type="xsd:string" use="optional" default="*" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="resourceDirectoryType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="group" type="xsd:string" use="required" />
+                <xsd:attribute name="directory" type="xsd:string" use="required" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="defaultResourceGroupType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="type" type="resourceType" use="optional" default="Default" />
+                <xsd:attribute name="group" type="xsd:string" use="required" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="scriptingType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="initScript" type="xsd:string" use="optional" default="" />
+                <xsd:attribute name="terminateScript" type="xsd:string" use="optional" default="" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="defaultObjectType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:complexType name="defaultMouseCursorType">
+        <xsd:simpleContent>
+            <xsd:extension base="xsd:string">
+                <xsd:attribute name="imageset" type="xsd:string" use="required" />
+                <xsd:attribute name="image" type="xsd:string" use="required" />
+            </xsd:extension>
+        </xsd:simpleContent>
+    </xsd:complexType>
+
+    <xsd:simpleType name="logLevel">
         <xsd:restriction base="xsd:string">
             <xsd:enumeration value="Errors"/>
@@ -13,16 +93,16 @@
     </xsd:simpleType>
 
-    <xsd:complexType name="CEGUIConfigType">
-        <xsd:attribute name="Logfile" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="Scheme" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="DefaultFont" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="Layout" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="InitScript" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="TerminateScript" type="xsd:string" use="optional" default=""/>
-        <xsd:attribute name="DefaultResourceGroup" type="xsd:string" use="optional"  default="" />
-        <xsd:attribute name="LoggingLevel" type="LogLevel" use="optional"  default="Standard" />
-    </xsd:complexType>
+    <xsd:simpleType name="resourceType">
+        <xsd:restriction base="xsd:string">
+            <xsd:enumeration value="Imageset"/>
+            <xsd:enumeration value="Font"/>
+            <xsd:enumeration value="Scheme"/>
+            <xsd:enumeration value="LookNFeel"/>
+            <xsd:enumeration value="Layout"/>
+            <xsd:enumeration value="Script"/>
+            <xsd:enumeration value="XMLSchema"/>
+            <xsd:enumeration value="Default"/>
+        </xsd:restriction>
+    </xsd:simpleType>
 
 </xsd:schema>
-
-
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox-inputonly.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox-inputonly.layout	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox-inputonly.layout	(revision 11795)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Root" type="DefaultWindow">
+    <Window name="ChatBox-inputonly" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="MaxSize" value="{{1,0},{1,0}}" />
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox.layout	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/ChatBox.layout	(revision 11795)
@@ -1,9 +1,9 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Root" type="DefaultWindow">
+    <Window name="ChatBox" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="MaxSize" value="{{1,0},{1,0}}" />
         <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window name="ChatBox" type="MenuWidgets/FrameWindow">
+        <Window name="frame" type="MenuWidgets/FrameWindow">
             <Property name="Text" value="Chat" />
             <Property name="InheritsAlpha" value="False" />
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/GUILayout.xsd
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/GUILayout.xsd	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/GUILayout.xsd	(revision 11795)
@@ -2,61 +2,70 @@
 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
 
-    <xsd:element name="GUILayout" type="GUILayoutType"/>
+	<xsd:element name="GUILayout" type="GUILayoutType"/>
+	
+	<xsd:complexType name="GUILayoutType">
+		<xsd:sequence>
+			<xsd:element name="Window" type="WindowType" />
+		</xsd:sequence>
+		<xsd:attribute name="version" type="xsd:nonNegativeInteger" use="optional" default="0" />
+	</xsd:complexType>
+	
+	<xsd:complexType name="WindowType">
+		<xsd:sequence>
+			<xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:choice minOccurs="0" maxOccurs="unbounded">
+				<xsd:element name="Window" type="WindowType" />
+				<xsd:element name="AutoWindow" type="AutoWindowType" />
+			</xsd:choice>
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="UserString" type="UserStringType"  minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="type" type="xsd:string" use="required"/>
+		<xsd:attribute name="name" type="xsd:string" use="optional" default="" />
+	</xsd:complexType>
 
-    <xsd:complexType name="GUILayoutType">
-        <xsd:sequence>
-            <xsd:element name="Window" type="WindowType" />
-        </xsd:sequence>
-        <xsd:attribute name="Parent" type="xsd:string" use="optional" default=""/>
-    </xsd:complexType>
+	<xsd:complexType name="AutoWindowType">
+		<xsd:sequence>
+			<xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:choice minOccurs="0" maxOccurs="unbounded">
+				<xsd:element name="Window" type="WindowType" />
+				<xsd:element name="AutoWindow" type="AutoWindowType" />
+			</xsd:choice>
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="namePath" type="xsd:string" use="required"/>
+	</xsd:complexType>
 
-    <xsd:complexType name="WindowType">
-        <xsd:sequence>
-            <xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:choice minOccurs="0" maxOccurs="unbounded">
-                <xsd:element name="Window" type="WindowType" />
-                <xsd:element name="AutoWindow" type="AutoWindowType" />
-            </xsd:choice>
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Type" type="xsd:string" use="required"/>
-        <xsd:attribute name="Name" type="xsd:string" use="optional" default="" />
-    </xsd:complexType>
+	<xsd:complexType name="PropertyType">
+		<xsd:simpleContent>
+			<xsd:extension base="xsd:string">
+				<xsd:attribute name="name" type="xsd:string" use="required"/>
+				<xsd:attribute name="value" type="xsd:string" use="optional"/>
+			</xsd:extension>
+		</xsd:simpleContent> 
+	</xsd:complexType>
+	
+	<xsd:complexType name="UserStringType">
+		<xsd:simpleContent>
+			<xsd:extension base="xsd:string">
+				<xsd:attribute name="name" type="xsd:string" use="required"/>
+				<xsd:attribute name="value" type="xsd:string" use="optional"/>
+			</xsd:extension>
+		</xsd:simpleContent> 
+	</xsd:complexType>
+	
+	<xsd:complexType name="LayoutImportType">
+		<xsd:attribute name="filename" type="xsd:string" use="required"/>
+		<xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
+	</xsd:complexType>
 
-    <xsd:complexType name="AutoWindowType">
-        <xsd:sequence>
-            <xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:choice minOccurs="0" maxOccurs="unbounded">
-                <xsd:element name="Window" type="WindowType" />
-                <xsd:element name="AutoWindow" type="AutoWindowType" />
-            </xsd:choice>
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="NameSuffix" type="xsd:string" use="required"/>
-    </xsd:complexType>
-
-    <xsd:complexType name="PropertyType">
-        <xsd:simpleContent>
-            <xsd:extension base="xsd:string">
-                <xsd:attribute name="Name" type="xsd:string" use="required"/>
-                <xsd:attribute name="Value" type="xsd:string" use="optional"/>
-            </xsd:extension>
-        </xsd:simpleContent>
-    </xsd:complexType>
-
-    <xsd:complexType name="LayoutImportType">
-        <xsd:attribute name="Filename" type="xsd:string" use="required"/>
-        <xsd:attribute name="Prefix" type="xsd:string" use="optional" default="" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-
-    <xsd:complexType name="EventType">
-        <xsd:attribute name="Name" type="xsd:string" use="required"/>
-        <xsd:attribute name="Function" type="xsd:string" use="required"/>
-    </xsd:complexType>
+	<xsd:complexType name="EventType">
+		<xsd:attribute name="name" type="xsd:string" use="required"/>
+		<xsd:attribute name="function" type="xsd:string" use="required"/>
+	</xsd:complexType>
 
 </xsd:schema>
Index: code/branches/cegui0.8_ogre1.9/data/gui/schemes/GUIScheme.xsd
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/schemes/GUIScheme.xsd	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/schemes/GUIScheme.xsd	(revision 11795)
@@ -1,54 +1,56 @@
 <?xml version="1.0" ?>
 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
-    <xsd:element name="GUIScheme" type="SchemeType" />
-    <xsd:complexType name="SchemeType">
+	<xsd:element name="GUIScheme" type="SchemeType" />
+	<xsd:complexType name="SchemeType">
         <xsd:choice minOccurs="0" maxOccurs="unbounded">
-            <xsd:element name="Imageset" type="NamedDataType" />
+			<xsd:element name="Imageset" type="NamedDataType" />
             <xsd:element name="ImagesetFromImage" type="NamedDataType" />
-            <xsd:element name="Font" type="NamedDataType" />
+			<xsd:element name="Font" type="NamedDataType" />
             <xsd:element name="LookNFeel" type="FileDataType" />
-            <xsd:element name="WindowSet" type="WindowSetType" />
-            <xsd:element name="WindowRendererSet" type="WindowRendererSetType" />
-            <xsd:element name="WindowAlias" type="WindowAliasType" />
+			<xsd:element name="WindowSet" type="WindowSetType" />
+			<xsd:element name="WindowRendererSet" type="WindowRendererSetType" />
+			<xsd:element name="WindowAlias" type="WindowAliasType" />
             <xsd:element name="FalagardMapping" type="FalagardMapType" />
-        </xsd:choice>
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
+		</xsd:choice>
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+		<xsd:attribute name="version" type="xsd:nonNegativeInteger" use="optional" default="0" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowSetType">
+		<xsd:sequence>
+            <xsd:element name="WindowFactory" type="WindowFactoryType" minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowRendererSetType">
+		<xsd:sequence>
+            <xsd:element name="WindowRendererFactory" type="WindowRendererFactoryType" minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+	</xsd:complexType>
+    <xsd:complexType name="FileDataType">
+        <xsd:attribute name="filename" type="xsd:string" use="required" />
+        <xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
     </xsd:complexType>
-    <xsd:complexType name="WindowSetType">
-        <xsd:sequence>
-            <xsd:element name="WindowFactory" type="WindowFactoryType" minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowRendererSetType">
-        <xsd:sequence>
-            <xsd:element name="WindowRendererFactory" type="WindowRendererFactoryType" minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="FileDataType">
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-    <xsd:complexType name="NamedDataType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-        <xsd:attribute name="Filename" type="xsd:string" use="required" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowFactoryType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowRendererFactoryType">
-        <xsd:attribute name="Name" type="xsd:string" use="required" />
-    </xsd:complexType>
-    <xsd:complexType name="WindowAliasType">
-        <xsd:attribute name="Alias" type="xsd:string" use="required" />
-        <xsd:attribute name="Target" type="xsd:string" use="required" />
-    </xsd:complexType>
+	<xsd:complexType name="NamedDataType">
+		<xsd:attribute name="name" type="xsd:string" use="optional" default="" />
+		<xsd:attribute name="filename" type="xsd:string" use="required" />
+		<xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowFactoryType">
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowRendererFactoryType">
+		<xsd:attribute name="name" type="xsd:string" use="required" />
+	</xsd:complexType>
+	<xsd:complexType name="WindowAliasType">
+		<xsd:attribute name="alias" type="xsd:string" use="required" />
+		<xsd:attribute name="target" type="xsd:string" use="required" />
+	</xsd:complexType>
     <xsd:complexType name="FalagardMapType">
-        <xsd:attribute name="WindowType" type="xsd:string" use="required" />
-        <xsd:attribute name="TargetType" type="xsd:string" use="required" />
-        <xsd:attribute name="Renderer" type="xsd:string" use="required" />
-        <xsd:attribute name="LookNFeel" type="xsd:string" use="required" />
+        <xsd:attribute name="windowType" type="xsd:string" use="required" />
+        <xsd:attribute name="targetType" type="xsd:string" use="required" />
+		<xsd:attribute name="renderer" type="xsd:string" use="required" />
+        <xsd:attribute name="lookNFeel" type="xsd:string" use="required" />
+        <xsd:attribute name="renderEffect" type="xsd:string" use="optional" default="" />
     </xsd:complexType>
 </xsd:schema>
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11795)
@@ -37,5 +37,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toListbox(listboxwindow):addItem(item)
     end
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/DockingDialog.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/DockingDialog.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/DockingDialog.lua	(revision 11795)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUISheet.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUISheet.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/GUISheet.lua	(revision 11795)
@@ -66,5 +66,5 @@
 function P:load()
     -- Load the layout that describes the sheet
-    self.window = winMgr:loadWindowLayout(self.name .. ".layout")
+    self.window = winMgr:loadLayoutFromFile(self.name .. ".layout")
     if self.window == nil then
         error("Could not load layout file for GUI sheet '"..self.name.."'")
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11795)
@@ -11,5 +11,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toCombobox(dropdown):addItem(item)
     end
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11795)
@@ -39,5 +39,5 @@
     for k,v in pairs(P.resolutionList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         resolutionCombobox:addItem(item)
     end
@@ -49,5 +49,5 @@
     for k,v in pairs(P.schemeList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         themeCombobox:addItem(item)
     end
@@ -59,5 +59,5 @@
     for k,v in pairs(P.fsaaList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         fsaaCombobox:addItem(item)
     end
@@ -69,5 +69,5 @@
     for k,v in pairs(P.particleLodList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         particleLodCombobox:addItem(item)
     end
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/HostMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/HostMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/HostMenu.lua	(revision 11795)
@@ -73,5 +73,5 @@
     for k,v in pairs(P.levelList) do
         local item = CEGUI.createListboxTextItem(v:getName())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if v:getXMLFilename() == preselect then
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/InitialiseGUI.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/InitialiseGUI.lua	(revision 11795)
@@ -8,5 +8,5 @@
 -- Load all required skins
 --schemeMgr:create("TaharezGreenLook.scheme")
-schemeMgr:create(scheme .. "Look.scheme")
+schemeMgr:createFromFile(scheme .. "Look.scheme")
 --schemeMgr:create("TaharezLook.scheme")
 --schemeMgr:create("WindowsLook.scheme")
@@ -21,16 +21,16 @@
 --schemeMgr:create("TaharezGreenHUDWidgets.scheme")
 --hudImageSet = "TaharezGreenLook"
-schemeMgr:create(scheme .. "MenuWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "MenuWidgets.scheme")
 menuImageSet = scheme .. "Look"
-schemeMgr:create(scheme .. "HUDWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "HUDWidgets.scheme")
 hudImageSet = scheme .. "Look"
 
 -- Just a remaining test hack
-schemeMgr:create("OrxonoxGUIScheme.scheme")
+schemeMgr:createFromFile("OrxonoxGUIScheme.scheme")
 
-local system = CEGUI.System:getSingleton()
-system:setDefaultMouseCursor(menuImageSet, "MouseArrow")
+local system = CEGUI.System:getSingleton():getDefaultGUIContext()
+system:getMouseCursor():setDefaultImage(menuImageSet .. "/MouseArrow")
 system:setDefaultFont("BlueHighway-12")
-system:setDefaultTooltip("MenuWidgets/Tooltip")
+system:setDefaultTooltipType("MenuWidgets/Tooltip")
 
 -- Convenience function and additional tools
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/MainMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/MainMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/MainMenu.lua	(revision 11795)
@@ -7,35 +7,35 @@
     --buttons are arranged in a 6x1 Matrix (list)
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/QuickGameTestButton"),
+            ["button"] = P.window:getChild("QuickGameTestButton"),
             ["callback"]  = P.QuickGameTestButton_clicked
     })
 
     P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerButton"),
+            ["button"] = P.window:getChild("SingleplayerButton"),
             ["callback"]  = P.SingleplayerButton_clicked
     })
 
     P:setButton(3, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MultiplayerButton"),
+            ["button"] = P.window:getChild("MultiplayerButton"),
             ["callback"]  = P.MultiplayerButton_clicked
     })
 
     P:setButton(4, 1, {
-            ["button"] = winMgr:getWindow("orxonox/HighscoreButton"),
+            ["button"] = P.window:getChild("HighscoreButton"),
             ["callback"]  = P.MultiplayerButton_clicked
     })
 
     P:setButton(5, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsButton"),
+            ["button"] = P.window:getChild("SettingsButton"),
             ["callback"]  = P.SettingsButton_clicked
     })
 
     P:setButton(6, 1, {
-            ["button"] = winMgr:getWindow("orxonox/CreditsButton"),
+            ["button"] = P.window:getChild("CreditsButton"),
             ["callback"]  = P.CreditsButton_clicked
     })
 
     P:setButton(7, 1, {
-            ["button"] = winMgr:getWindow("orxonox/ExitButton"),
+            ["button"] = P.window:getChild("ExitButton"),
             ["callback"]  = P.ExitButton_clicked
     })
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/MultiplayerMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/MultiplayerMenu.lua	(revision 11795)
@@ -115,5 +115,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
@@ -152,5 +152,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/PickupInventory.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/PickupInventory.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/PickupInventory.lua	(revision 11795)
@@ -115,5 +115,5 @@
 
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
@@ -215,5 +215,5 @@
     
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/QuestGUI.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/QuestGUI.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/QuestGUI.lua	(revision 11795)
@@ -104,5 +104,5 @@
     if P.showActive == quest:isActive(P.player) then
         local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         list:addItem(item)
         table.insert(P.quests, quest)
@@ -141,5 +141,5 @@
             local quest = P.questManager:getSubQuest(quest, P.player, i)
             local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             list:addItem(item)
             table.insert(P.subquests, quest)
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/SheetManager.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/SheetManager.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/SheetManager.lua	(revision 11795)
@@ -1,5 +1,6 @@
 -- SheetManager.lua
 
-local cursor = CEGUI.MouseCursor:getSingleton()
+local cursor = CEGUI.System:getSingleton():getDefaultGUIContext():getMouseCursor()
+--local cursor = CEGUI.MouseCursor:getSingleton()
 local loadedSheets = {}
 local activeMenuSheets = {size = 0, topSheetTuple = nil}
@@ -107,5 +108,5 @@
 
     -- Add sheet to the root window
-    menuSheetsRoot:addChildWindow(menuSheet.window)
+    menuSheetsRoot:addChild(menuSheet.window)
 
     -- If sheet is the MainMenu
@@ -177,5 +178,5 @@
 
     -- Remove sheet with its tuple from the table
-    menuSheetsRoot:removeChildWindow(sheetTuple.sheet.window)
+    menuSheetsRoot:removeChild(sheetTuple.sheet.window)
     table.remove(activeMenuSheets, table.findIndex(activeMenuSheets, sheetTuple))
     activeMenuSheets[name] = nil
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/ShipSelectionMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/ShipSelectionMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/ShipSelectionMenu.lua	(revision 11795)
@@ -34,5 +34,5 @@
         --if tag == nil or v:hasStartingShip(tag) then
             local item = CEGUI.createListboxTextItem(v)
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -88,5 +88,5 @@
         --local imageName = selectedlevel:getScreenshot()
         -- set the screenshot and the description for the selected level
-        --levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        --levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         --levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11795)
@@ -87,5 +87,5 @@
         if tag == nil or v:hasTag(tag) then
             local item = CEGUI.createListboxTextItem(v:getName())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -130,5 +130,5 @@
         local imageName = level:getScreenshot()
         -- set the screenshot and the description for the selected level
-        levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/UndockingDialog.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/UndockingDialog.lua	(revision 11793)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/UndockingDialog.lua	(revision 11795)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then
